<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container [formGroup]="appFormGroup">

  <label class="file-drop--title">
    {{appTitle}}
  </label>

  <app-file-drop
    #fileDropComponent
    (appFileDrop)="addControlForFiles($event)"
    [appDisabled]="appFormGroup.disabled"
    [appPlaceholder]="'attachments.fileDropPlaceholder' | translate"
    [formArrayName]="appFormArrayName"
    class="file-drop">

    <app-attachment-control
      (appCancel)="removeControlAt(i)"
      *ngFor="let control of (appFormGroup | getFormArray : appFormArrayName)?.controls; let i = index;"
      [appIsCancelable]="true"
      [appTagList]="appTagList"
      [formControlName]="i"
      class="file-drop--control">
    </app-attachment-control>

  </app-file-drop>

  <div class="attachments--select-file-button">
    <button (click)="fileDropComponent.openDialog()"
            [disabled]="fileDropComponent.appDisabled"
            class="openk-button">
      <mat-icon class="attachments--select-file-button--icon">attach_file</mat-icon>
      {{"attachments.selectFile" | translate }}
    </button>
    <ng-content></ng-content>
  </div>

</ng-container>

